Subject: [PATCH v3 bpf-next 0/4] selftests/bpf: fix compiling loop{1,2,3}.c on s390

From: Ilya Leoshkevich <[email-masked]>
Date: Tue, 9 Jul 2019 17:18:05 +0200

Use PT_REGS_RC(ctx) instead of ctx->rax, which is not present on s390.

This patch series consists of three preparatory commits, which make it
possible to use PT_REGS_RC in BPF selftests, followed by the actual fix.

Since the last time, I've tested it with x86_64-linux-gnu-,
aarch64-linux-gnu-, arm-linux-gnueabihf-, mips64el-linux-gnuabi64-,
powerpc64le-linux-gnu-, s390x-linux-gnu- and sparc64-linux-gnu-
compilers, and found that I also need to add arm64 support.

Like s390, arm64 exports user_pt_regs instead of struct pt_regs to
userspace.

I've also made fixes for a few unrelated build problems, which I will
post separately.

v1->v2: Split into multiple patches.
v2->v3: Added arm64 support.

Signed-off-by: Ilya Leoshkevich <[email-masked]>